DWHアセット検索

Prev Next
Post
/api/public/v1/cometa/catalog_items/search

DWHアセット(データベース・スキーマ・テーブル・カラム)を検索します。
検索結果は関連度順に並び、type フィールドでアイテム種別を判別します。

Security
API Key: ApiKeyAuth
Header parameter nameAuthorization

認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
API KEYがabc123の場合は、Authorization: Token abc123とします。

Body parameters
object
q
string Required

検索クエリ文字列を指定します。

Exampleorders
catalog_id
integer (int64)

検索対象を絞り込むデータストアIDを指定します。

Example17
database
string

完全修飾名のデータベース部による絞り込みを指定します。

Exampleproject_a
schema
string

完全修飾名のスキーマ部による絞り込みを指定します。

Exampleanalytics
types
Array of string

検索対象のアイテム種別を指定します。
指定可能な値は以下の通りです。

Example[ "catalog_table", "catalog_column" ]
string
Valid values[ "catalog_database", "catalog_schema", "catalog_table", "catalog_column" ]
page
integer

取得するページ番号を指定します。1始まり。

Default1
Example1
page_size
integer

1ページあたりの最大件数を指定します。

Minimum20
Maximum100
Default20
Example20
Responses
200

検索結果を返します。

Expand All
object
items
Array of object (cometa_catalog_item)

DWHアセットの検索結果です。
type の値によってフィールド構成が異なります。

OneOf
cometa_catalog_database_item
object (cometa_catalog_database_item)
type
string
Valid values[ "catalog_database" ]
id
integer (int64)

DWHデータベースのIDです。

Example1001
fully_qualified_name
string

完全修飾名です。

Exampleproject_a
logical_name
string | null

論理名です。

ExampleプロジェクトA
description
string | null

説明文です。

Exampleメインプロジェクトのデータベース
updated_at
string

最終更新日時 (ISO8601 / UTC) です。

Example2026-04-10T12:34:56Z
cometa_catalog_schema_item
object (cometa_catalog_schema_item)
type
string
Valid values[ "catalog_schema" ]
id
integer (int64)

DWHスキーマのIDです。

Example2001
fully_qualified_name
string

完全修飾名です。

Exampleproject_a.analytics
logical_name
string | null

論理名です。

Exampleアナリティクス
description
string | null

説明文です。

Example分析用スキーマ
status
string | null

認証ステータスです。

Valid values[ "unverified", "verified", "deprecated" ]
updated_at
string

最終更新日時 (ISO8601 / UTC) です。

Example2026-04-10T12:34:56Z
cometa_catalog_table_item
object (cometa_catalog_table_item)
type
string
Valid values[ "catalog_table" ]
id
integer (int64)

DWHテーブルのIDです。

Example3001
fully_qualified_name
string

完全修飾名です。

Exampleproject_a.analytics.orders
logical_name
string | null

論理名です。

Example注文
description
string | null

説明文です。

Exampleオンラインストアの注文テーブル
status
string | null

認証ステータスです。

Valid values[ "unverified", "verified", "deprecated" ]
owner
string | null

テーブルのオーナーです。

Exampledata-platform@example.com
database_type
string

データベース種別です。

Examplebigquery
table_type
string | null

テーブル種別です。

Exampletable
updated_at
string

最終更新日時 (ISO8601 / UTC) です。

Example2026-04-10T12:34:56Z
cometa_catalog_column_item
object (cometa_catalog_column_item)
type
string
Valid values[ "catalog_column" ]
id
integer (int64)

DWHカラムのIDです。

Example4001
catalog_table_id
integer (int64)

親テーブルのIDです。

Example3001
fully_qualified_name
string

完全修飾名です。

Exampleproject_a.analytics.orders.amount
logical_name
string | null

論理名です。

Example売上金額
description
string | null

説明文です。

Example税込みの売上金額
status
string | null

認証ステータスです。

Valid values[ "unverified", "verified", "deprecated" ]
data_type
string | null

カラムのデータ型です。

ExampleNUMERIC
updated_at
string

最終更新日時 (ISO8601 / UTC) です。

Example2026-04-10T12:34:56Z
pagination
object
current_page
integer

現在のページ番号です。1始まり。

Example1
page_size
integer

1ページあたりの最大件数です。

Example20
total_count
integer

検索条件にマッチした全件数です。

Example42
400

/api系の共通エラーレスポンス

object
message
string
Example不正なリクエストです。
401

認証エラー

object
message
string
Exampleアカウント登録もしくはログインしてください。
403

認可エラー

object
message
string
Example操作を実行する権限がありません。